
QGIS Application - Bug report #11862

Overview map does not follow map rotation

2014-12-15 04:27 AM - Alexander Bruy

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: Map Canvas

Affected QGIS version:2.6.0 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 20077

Description

Subject says it all

Associated revisions

Revision 7d6b7ccc - 2015-02-07 03:30 PM - Sandro Santilli 

Show actually visible canvas area in overview (possibly rotated)

Fix #11862

History

#1 - 2014-12-15 05:34 AM - Sandro Santilli

- Tag set to rotation

Could you be more specific about what you'd like to see happen ?

See also #11816 for an example of specific bug.

Do we want to keep this to have the rotated viewport shown in the overview ?

Or do you want to see the map rotated, in the overview ?

I like the idea of rotation not affecting the overview, for example.

#2 - 2014-12-15 07:07 AM - Alexander Bruy

I was sure that this is evident. When main map is rotated overview is not rotated, but it should

#3 - 2014-12-15 07:29 AM - Sandro Santilli

To be honest I tought it would have been nicer to NOT rotate the overview map but rather the indicator of the viewport.

Should this go through the design group ?

#4 - 2015-01-03 12:06 PM - Sandro Santilli

Priority of this does not seem high to me, what do others think ?

Nathan, Jurgen ?
#5 - 2015-01-04 03:42 AM - Paolo Cavallini

- Priority changed from High to Normal

IMHO the overview should not be rotated; the red rectangle should.

#6 - 2015-01-09 12:02 AM - Andreas Neumann

agreed that the overview map should not rotate, but the indicator should.

#7 - 2015-02-06 08:54 AM - Sandro Santilli

- % Done changed from 0 to 90

Rotated indicator is ready here: https://github.com/qgis/QGIS/pull/1889 -- Tests welcome

#8 - 2015-02-07 06:31 AM - Sandro Santilli

- Status changed from Open to Closed

Fixed in changeset commit:"7d6b7ccc507f6ef6362bf643a219d81b560e6549".
